Plugin Get Configuration Schema
Returns the configuration schema for a plugin as defined in its manifest file. The schema should be used to render a configuration form for the plugin in the client so that administrators can configure the plugin.
Returns the configuration schema for a plugin as defined in its manifest file. The schema should be used to render a configuration form for the plugin in the client so that administrators can configure the plugin.
/plugins/{plugin_instance_id}/configuration-schemaAuthorization
browser In: cookie
Path Parameters
Plugin ID.
xidResponse Body
application/json
application/json
curl -X GET "https://loading/api/plugins/cc5lnd2s1s4652adtu50/configuration-schema"{
"fields": [
{
"id": "string",
"label": "string",
"description": "string",
"type": "string",
"default": "string"
}
]
}{
"error": "string",
"message": "string",
"suggested": "string",
"metadata": {}
}Plugin Get Configuration GET
Get the current configuration values for a plugin. The shape of the object is defined by the plugin's manifest and should be used to render the current configuration state in the client, using the layout driven by the result of `PluginGetConfigurationSchema` to build a form-like UI.
Plugin Get Logs GET
Stream logs for a supervised plugin. If the plugin is running, this endpoint streams live logs after existing log history is sent. External plugins do not have host-managed logs and this endpoint returns a bad request error for external mode.